CREATE OR REPLACE PROCEDURE sp_fco_cambio_vw_iss
(
	CIA  		char,
	TABLA  		varchar2,
	COD_TRAB	char,
	C10A  		char,
	C11A  		char,
	C11B  		char,
	C11C  		char,
	C11D  		char,
	C11E  		char,
  C12A      number,
	C13A  		number,
  C14A      number,
  C14B      number,
  C14C      number
)
/******************************************************************************************/
/*** Nombre:      sp_fco_cambio_vw_iss	                            			***/
/*** Modulo:      ADAM V3. (Fiscal Colombiano)                                          ***/
/*** Descripcion: permite al usuario corregir las leves inconsistencias que             ***/
/***    ocasionalmente puedan presentarse en el reporte ISS             		***/
/***              o en el medio magnético        					***/
/******************************************************************************************/
AS
  w_sql  VARCHAR(1500);
  nombre_cursor	integer;
  iRows		integer;
BEGIN
	w_sql := 'UPDATE ' || TABLA ||
     	' SET' ||
	' C10A=''' || NVL(C10A,'C') || ''',' ||
     	' C11A=''' || NVL(C11A,'') || ''',' ||
     	' C11B=''' || NVL(C11B,'') || ''',' ||
     	' C11C=''' || NVL(C11C,'') || ''',' ||
     	' C11D=''' || NVL(C11D,'0') || ''',' ||
     	' C11E=''' || NVL(C11E,'0') || ''',' ||
     	' C12A=' || NVL(TO_CHAR(C12A),'0') || ',' || 
     	' C13A=' || NVL(TO_CHAR(C13A),'0') || ',' ||
     	' C14A=' || NVL(TO_CHAR(C14A),'0') || ',' ||
     	' C14B=' || NVL(TO_CHAR(C14B),'0') || ',' ||
     	' C14C=' || NVL(TO_CHAR(C14C),'0') ||
    	' WHERE CIA=''' || CIA || '''' ||
    	' AND COD_TRAB=''' || COD_TRAB || '''';

        BEGIN
		nombre_cursor := dbms_sql.open_cursor;
		dbms_sql.parse(nombre_cursor, w_sql, dbms_sql.v7);
		iRows := dbms_sql.execute(nombre_cursor);
		dbms_sql.close_cursor(nombre_cursor);
	EXCEPTION
        	WHEN OTHERS THEN
		raise_application_error(-20001, 'Error al Actualizar la Tabla');
		return;
	END;
	commit work;
END;
/
CREATE PUBLIC SYNONYM sp_fco_cambio_vw_iss FOR ADAM.sp_fco_cambio_vw_iss;
GRANT EXECUTE ON sp_fco_cambio_vw_iss TO adama;

